| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
interface_tag Struct Reference

Represents a network interface and its full capture configuration as shown in the UI. More...

`#include <capture_opts.h>`

## Public Attributes
char * | name
char * | display_name
char * | addresses
int | no_addresses
char * | cfilter
int | optimize
GList * | links
int | active_dlt
bool | pmode
bool | has_snaplen
int | snaplen
bool | local
int | buffer
bool | monitor_mode_enabled
bool | monitor_mode_supported
if_info_t | if_info
bool | selected
bool | hidden
GHashTable * | external_cap_args_settings
char * | timestamp_type

## Detailed Description

Represents a network interface and its full capture configuration as shown in the UI.

## Member Data Documentation

## ◆ active_dlt

int interface_tag::active_dlt

Currently selected data link type (DLT) for capture.

## ◆ addresses

char* interface_tag::addresses

String representation of addresses assigned to this interface.

## ◆ buffer

int interface_tag::buffer

Kernel capture buffer size in megabytes.

## ◆ cfilter

char* interface_tag::cfilter

Capture filter string applied to this interface.

## ◆ display_name

char* interface_tag::display_name

Human-readable name shown in the UI.

## ◆ external_cap_args_settings

GHashTable* interface_tag::external_cap_args_settings

Cached argument settings for external capture (extcap) plugins.

## ◆ has_snaplen

bool interface_tag::has_snaplen

Whether a snapshot length limit is set.

## ◆ hidden

bool interface_tag::hidden

Whether this interface is hidden from the UI interface list.

## ◆ if_info

if_info_t interface_tag::if_info

Low-level interface information from the capture library.

## ◆ links

GList* interface_tag::links

List of link-layer types supported by this interface.

## ◆ local

bool interface_tag::local

Whether this is a local (as opposed to remote) interface.

## ◆ monitor_mode_enabled

bool interface_tag::monitor_mode_enabled

Whether monitor mode (rfmon) is currently enabled.

## ◆ monitor_mode_supported

bool interface_tag::monitor_mode_supported

Whether the interface supports monitor mode.

## ◆ name

char* interface_tag::name

Internal interface name as known to the capture library.

## ◆ no_addresses

int interface_tag::no_addresses

Number of addresses assigned to this interface.

## ◆ optimize

int interface_tag::optimize

Whether the capture filter is compiled with optimization enabled: 1 = yes, 0 = no.

## ◆ pmode

bool interface_tag::pmode

Whether promiscuous mode is enabled.

## ◆ selected

bool interface_tag::selected

Whether this interface is selected for capture in the UI.

## ◆ snaplen

int interface_tag::snaplen

Snapshot length in bytes; only meaningful if `has_snaplen` is true.

## ◆ timestamp_type

char* interface_tag::timestamp_type

Requested timestamp type string for this interface.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/ui/capture_opts.h